For the complete documentation index, see llms.txt. This page is also available as Markdown.

Operator

getOperator

get

This method returns the information of an operator, given its search keys.

Path parameters
keystringRequired
Responses
200

OK

No content

get/gbs-spid-server/operator/{key}
GET /gbs-spid-server/operator/{key} HTTP/1.1
Host: <ip>:8082
Accept: */*

No content

deleteOperator

delete

This method deletes an operator from the database, given its search keys.

Path parameters
keystringRequired
Responses
202

Accepted

No content

delete/gbs-spid-server/operator/{key}
DELETE /gbs-spid-server/operator/{key} HTTP/1.1
Host: <ip>:8082
Accept: */*

No content

operatorList

get

This method returns the list of valid operators into the database.

Responses
200

OK

application/json
documentstringOptional
statusstring · enumOptionalPossible values:
tguidstringOptional
get/gbs-spid-server/operator/list
GET /gbs-spid-server/operator/list HTTP/1.1
Host: <ip>:8082
Accept: */*
[
  {
    "document": "text",
    "status": "VERIFIED",
    "tguid": "text"
  }
]

operatorInsert

post
Body
Responses
201

Created

No content

post/gbs-spid-server/operator
POST /gbs-spid-server/operator HTTP/1.1
Host: <ip>:8082
Content-Type: application/json
Accept: */*
Content-Length: 28

{
  "data": {
    "document": "text"
  }
}

No content

enrollOperator

put

This method submits an operator enrollment to the server.

Body
Responses
201

Created

No content

put/gbs-spid-server/operator
PUT /gbs-spid-server/operator HTTP/1.1
Host: <ip>:8082
Content-Type: application/json
Accept: */*
Content-Length: 143

{
  "data": {
    "document": "text",
    "biometrics": [
      {
        "index": 1,
        "content": "text",
        "width": 1,
        "height": 1,
        "resolution": 1
      }
    ],
    "status": "VERIFIED",
    "tguid": "text"
  }
}

No content

Last updated

Was this helpful?